#ifndef _TURRETEJECTOR_H__

#include <string>
#include <vector>
#include "bzfsAPI.h"
#include "TurretZone.h"
#include "common.h"

class TurretEjector
{
public:
	TurretEjector(std::vector<TurretZone> *_zoneList);
	void checkPosition(bz_PlayerRecord *player);
	bool parse(bz_CustomMapObjectInfo *data);
private:
	std::vector<TurretZone> *zoneList;
	std::vector<unsigned int> zones;
	bool ejectTeammates;
	Obsticle obsticle;
};

#define _TURRETEJECTOR_H__
#endif